summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Coie <rac@gentoo.org>2003-12-22 20:40:05 +0000
committerRobert Coie <rac@gentoo.org>2003-12-22 20:40:05 +0000
commit9c1f8ab828d25574d48c5ddb6ce7c5c1d26a8931 (patch)
treeff94aaaca58533ed73ea6459b7ab3ef48e135a8f /eclass/perl-module.eclass
parentinitial ebuild (diff)
downloadgentoo-2-9c1f8ab828d25574d48c5ddb6ce7c5c1d26a8931.tar.gz
gentoo-2-9c1f8ab828d25574d48c5ddb6ce7c5c1d26a8931.tar.bz2
gentoo-2-9c1f8ab828d25574d48c5ddb6ce7c5c1d26a8931.zip
Add SRC_TEST functionality. If you define SRC_TEST to "do",
src_compile will run make test. In the future, this may become the default, but for now the default is "skip", to maintain compatibility.
Diffstat (limited to 'eclass/perl-module.eclass')
-rw-r--r--eclass/perl-module.eclass7
1 files changed, 6 insertions, 1 deletions
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index 9e5ea3e87d36..155907694177 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.54 2003/10/24 05:09:32 rac Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.55 2003/12/22 20:40:05 rac Exp $
#
# Author: Seemant Kulleen <seemant@gentoo.org>
#
@@ -17,6 +17,7 @@ EXPORT_FUNCTIONS pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm \
eval `perl '-V:version'`
newdepend ">=dev-lang/perl-5.8.0-r12"
SRC_PREP="no"
+SRC_TEST="skip"
SITE_LIB=""
ARCH_LIB=""
@@ -49,6 +50,10 @@ perl-module_src_compile() {
make ${mymake} || die "compilation failed"
fi
+ if [ "${SRC_TEST}" == "do" ]; then
+ perl-module_src_test || die "test failed"
+ SRC_TEST="done"
+ fi
}
perl-module_src_test() {